USAGE:(1)

NAME
usage: - import from a feed, Wordpress, or Dotclear files

DESCRIPTION
usage: pelican-import [-h] [--blogger] [--dotclear] [--tumblr] [--wpfile]

[--feed] [-o OUTPUT] [-m MARKUP] [--dir-cat]
    [--dir-page] [--filter-author AUTHOR] [--strip-raw] [--wp-custpost] [--wp-attach] [--disable-slugs] [-b BLOGNAME] input

Transform feed, Blogger, Dotclear, Tumblr, or WordPress files into reST (rst) or Markdown (md) files. Be sure to have pandoc installed.

  positional arguments:

input
    The input file to read

  options:

-h, --help
    show this help message and exit

--blogger
    Blogger XML export (default: False)

--dotclear
    Dotclear export (default: False)

--tumblr
    Tumblr export (default: False)

--wpfile
    Wordpress XML export (default: False)

--feed
    Feed to parse (default: False)

-o OUTPUT, --output OUTPUT
    Output path (default: content)

-m MARKUP, --markup MARKUP
    Output markup format (supports rst & markdown) (default: rst)

--dir-cat
    Put files in directories with categories name (default: False)

--dir-page
    Put files recognised as pages in "pages/" subdirectory (blogger and wordpress import only) (default: False)

--filter-author AUTHOR
    Import only post from the specified author (default: None)

--strip-raw
    Strip raw HTML code that can't be converted to markup such as flash embeds or iframes (wordpress import only) (default: False)

--wp-custpost
    Put wordpress custom post types in directories. If used with --dir-cat option directories will be created as /post_type/category/ (wordpress import only) (default: False)

--wp-attach
    (wordpress import only) Download files uploaded to wordpress as attachments. Files will be added to posts as a list in the post header. All files will be downloaded, even if they aren't associated with a post. Files will be downloaded with their original path inside the output directory. e.g. output/wpuploads/date/postname/file.jpg -- Requires an internet connection -- (default: False)

--disable-slugs
    Disable storing slugs from imported posts within output. With this disabled, your Pelican URLs may not be consistent with your original posts. (default: False)

-b BLOGNAME, --blogname BLOGNAME
    Blog name (Tumblr import only) (default: None)